package com.gic.haoban.manage.api.dto.hm;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2022/7/3 6:49 PM
 * @Description
 * @Version
 **/
public class HmPageDTO implements Serializable {

    private static final long serialVersionUID = 8049920392780217427L;

    /**
     * 落地页id
     */
    private Long pageId;

    /**
     * 落地页code
     */
    private String pageCode;

    /**
     * 落地页模板名称
     */
    private String pageName;

    /**
     * 企业id
     */
    private String enterpriseId;

    private String wxEnterpriseId;

    private Integer status;

    /**
     * 页面标题
     */
    private String pageTitle;

    /**
     * 商户名称
     */
    private String merchantName;

    /**
     * 商户名称
     */
    private String merchantPhoneNumber;

    /**
     * 商户logo
     */
    private String merchantLogo;

    /**
     * 页面背景图
     */
    private String pageBackgroundImg;

    /**
     * 引导语
     */
    private String guideComment;

    /**
     * 创建人id
     */
    private String createorId;

    /**
     * 创建人名称
     */
    private String createorName;

    private String modifierId;

    private String modifierName;

    /**
     * 创建时间
     */
    private Date createTime;

    private Date updateTime;
    private int pageType ;
    
    public int getPageType() {
        return pageType;
    }

    public void setPageType(int pageType) {
        this.pageType = pageType;
    }
    public Long getPageId() {
        return pageId;
    }

    public void setPageId(Long pageId) {
        this.pageId = pageId;
    }

    public String getPageCode() {
        return pageCode;
    }

    public void setPageCode(String pageCode) {
        this.pageCode = pageCode;
    }

    public String getPageName() {
        return pageName;
    }

    public void setPageName(String pageName) {
        this.pageName = pageName;
    }

    public String getPageTitle() {
        return pageTitle;
    }

    public void setPageTitle(String pageTitle) {
        this.pageTitle = pageTitle;
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public String getMerchantPhoneNumber() {
        return merchantPhoneNumber;
    }

    public void setMerchantPhoneNumber(String merchantPhoneNumber) {
        this.merchantPhoneNumber = merchantPhoneNumber;
    }

    public String getMerchantLogo() {
        return merchantLogo;
    }

    public void setMerchantLogo(String merchantLogo) {
        this.merchantLogo = merchantLogo;
    }

    public String getPageBackgroundImg() {
        return pageBackgroundImg;
    }

    public void setPageBackgroundImg(String pageBackgroundImg) {
        this.pageBackgroundImg = pageBackgroundImg;
    }

    public String getGuideComment() {
        return guideComment;
    }

    public void setGuideComment(String guideComment) {
        this.guideComment = guideComment;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreateorId() {
        return createorId;
    }

    public void setCreateorId(String createorId) {
        this.createorId = createorId;
    }

    public String getCreateorName() {
        return createorName;
    }

    public void setCreateorName(String createorName) {
        this.createorName = createorName;
    }

    public String getModifierId() {
        return modifierId;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
